## Apache Zeta Components Manual :: Docs For Class ezcGraphHorizontalBarChart

### Graph::ezcGraphHorizontalBarChart

### Class ezcGraphHorizontalBarChart

Class for bar charts. Can make use of an unlimited amount of datasets and will display them as bars by default.

X axis:

- Labeled axis
- Boxed axis label renderer

Y axis:

- Numeric axis
- Exact axis label renderer

1. // Create a new horizontal bar chart
2. $chart=new ezcGraphHorizontalBarChart ();
4. // Add data to line chart
5. $chart-> data ['sample dataset']=new ezcGraphArrayDataSet (
6. array(
7. '100'=>1.2,
8. '200'=>43.2,
9. '300'=> -34.14,
10. '350'=>65,
11. '400'=>123,
12. )
13. );
15. // Render chart with the special designated renderer and default SVG driver
16. $chart->renderer=new ezcGraphHorizontalRenderer ();
17. $chart-> render (500,200,'bar_chart.svg');

Each chart consists of several chart elements which represents logical parts of the chart and can be formatted independently. The bar chart consists of:

- title ( ezcGraphChartElementText )
- legend ( ezcGraphChartElementLegend )
- background ( ezcGraphChartElementBackground )
- xAxis ( ezcGraphChartElementLabeledAxis )
- yAxis ( ezcGraphChartElementNumericAxis )

The type of the axis may be changed and all elements can be configured by accessing them as properties of the chart:

1. $chart->legend->position=ezcGraph ::RIGHT;

The chart itself also offers several options to configure the appearance. As bar charts extend line charts the the extended configure options are available in ezcGraphLineChartOptions extending the ezcGraphChartOptions.

Source for this file: /Graph/src/charts/horizontal_bar.php

    ezcGraphChart
       |
       --ezcGraphLineChart
          |
          --ezcGraphBarChart
             |
             --ezcGraphHorizontalBarChart

Version: | //autogentag//

### Properties

ezcGraphLineChartOptions | read/write | `$options` Chart options class

### Inherited Member Variables

From ezcGraphLineChart
protected | `ezcGraphLineChart::$additionalAxis`
From ezcGraphChart
protected | `ezcGraphChart::$data`
protected | `ezcGraphChart::$elements`
protected | `ezcGraphChart::$options`
protected | `ezcGraphChart::$properties`
protected | `ezcGraphChart::$renderElement`

### Method Summary

protected void | `renderData( $renderer , $boundings , $innerBoundings )` Render the assigned data
protected void | `setAxisValues( )` Aggregate and calculate value boundings on axis.

### Inherited Methods

From ezcGraphBarChart
public int | `ezcGraphBarChart::getDefaultDisplayType()` Returns the default display type of the current chart type.
From ezcGraphLineChart
protected void | `ezcGraphLineChart::calculateStepWidth()` Calculate bar chart step width
protected void | `ezcGraphLineChart::checkRenderer()` Check if renderer supports features requested by some special chart options.
public int | `ezcGraphLineChart::getDefaultDisplayType()` Returns the default display type of the current chart type.
public void | `ezcGraphLineChart::render()` Render the line chart
protected void | `ezcGraphLineChart::renderData()` Render the assigned data
protected void | `ezcGraphLineChart::renderElements()` Renders the basic elements of this chart type
public void | `ezcGraphLineChart::renderToOutput()` Renders this chart to direct output
protected void | `ezcGraphLineChart::setAxisValues()` Aggregate and calculate value boundings on axis.
public void | `ezcGraphLineChart::setFromPalette()` Set colors and border for this element
From ezcGraphChart
protected void | `ezcGraphChart::addElement()` Add element to chart
public abstract int | `ezcGraphChart::getDefaultDisplayType()` Returns the default display type of the current chart type.
public mixed | `ezcGraphChart::getRenderedFile()` Return filename of rendered file, and false if no file was yet rendered.
public abstract void | `ezcGraphChart::render()` Renders this chart
public abstract void | `ezcGraphChart::renderToOutput()` Renders this chart to direct output
public void | `ezcGraphChart::setFromPalette()` Set colors and border fro this element

### Methods

#### renderData

void renderData( ezcGraphRenderer $renderer , $boundings , $innerBoundings )

Render the assigned data

Will renderer all charts data in the remaining boundings after drawing all other chart elements. The data will be rendered depending on the settings in the dataset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer
`$boundings` | ezcGraphBoundings | Remaining boundings
`$innerBoundings` | ezcGraphBoundings |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphLineChart::renderData()` | Render the assigned data

#### setAxisValues

void setAxisValues( )

Aggregate and calculate value boundings on axis.

This function is nearly the same as in ezcGraphLineChart, but reverses the usage of keys and values for the axis.

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphLineChart::setAxisValues()` | Aggregate and calculate value boundings on axis.

Documentation generated by phpDocumentor 1.4.3